Cancel Reservation / Cancelar Reserva
PUT
/external/reserva-cancelar/{reserva_id}
const url = 'https://api-dev.zonaparqueo.com/external/reserva-cancelar/12345';const options = {method: 'PUT', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api-dev.zonaparqueo.com/external/reserva-cancelar/12345 \ --header 'Authorization: <Authorization>'Cancels an existing reservation. The identifier is a path parameter and the request carries no body.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”reserva_id
required
integer
Reservation identifier
Example
12345Responses
Section titled “Responses”Reservation cancelled successfully
Media typeapplication/json
object
estado
string
data
Response data
object
Examples
Examplesuccess
{ "estado": "ok", "data": { "message": "Reserva cancelada exitosamente" }}Error cancelling reservation
Media typeapplication/json
object
estado
string
error
Error message
string
errores
Field-specific error details
object
Example
{ "estado": "fail"}